$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.116.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.116.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A2BDBEFFCA96B12F5D8136D0CBA42888D45BEF9C442653673965DB37A4C8339C'
  checksumType = 'sha256'
  checksum64 = 'A2BDBEFFCA96B12F5D8136D0CBA42888D45BEF9C442653673965DB37A4C8339C'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.116-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
